- Home
- API Enriched
- Shape
- shape
- List All Form Fields with GET method.
List All Form Fields with GET method.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/formFields';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/formFields \ --header 'Authorization: <Authorization>'List form fields for all the scripts depending on start time and end time with GET method.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace.
Query Parameters
Section titled “Query Parameters”X-required format: unix epoch timestamp in seconds fetch form fields whose timestamp >= start_time.
X-required format: unix epoch timestamp in seconds fetch form fields whose timestamp <= end_time.
Responses
Section titled “Responses”A successful response.
Response to list form fields of all the scripts with GET method.
object
List of form fields for all the scripts.
Form field info of all the scripts.
object
object
Updated by.
Value of the form field analysed by Client side defense.
Associated script which read the form field first.
Format: unix epoch timestamp in milliseconds First read time.
ID of the form field.
Format: unix epoch timestamp in milliseconds Last read time.
Locations where the form field is present.
Name of the form field.
Total size of scripts.
Examplegenerated
{ "form_fields": [ { "analysis": { "updated_by": "example", "value": "example" }, "associated_scripts": [ "example" ], "first_read": "example", "id": "example", "last_read": "example", "locations": [ "example" ], "name": "example" } ], "total_size": 1}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example